Skip to main content
`Ctrl`+`K`

# DMTSSetRHSJacobianContextDestroy

set `TS` Jacobian evaluation context destroy function from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetRHSJacobianContextDestroy(DM dm, PetscCtxDestroyFn *f)

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- f - Jacobian evaluation context destroy function, see `PetscCtxDestroyFn` for its calling sequence

## Note

The user usually calls `TSSetRHSJacobianContextDestroy()` which calls this routine

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `TS`, `TSSetRHSJacobianContextDestroy()`, `DMTSSetRHSJacobian()`, `TSSetRHSJacobian()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages